import { createSlice } from "@reduxjs/toolkit";

const editItemModalSlice = createSlice({
  name: "editItemModal",
  initialState: {
    visibility: false,
  },
  reducers: {
    openEditModal(state, action) {
      state.visibility = true;
    },
    closeEditModal(state, action) {
      state.visibility = false;
    },
  },
});

// Export actions
export const { openEditModal, closeEditModal } = editItemModalSlice.actions;

// Export reducer
export default editItemModalSlice.reducer;
